library(stringr) # For manipulating student numbers (which are typically strings)

## Type student numbers in manually.
studentlist <- c("M00100001",
                 "M00100002",
                 "M00100003")

## Or load from file
studentlist <- readLines("studentnumbers.txt")



## Extract just the numbers
studentlist <- as.numeric(
  str_extract(studentlist, "[:digit:]+") # Match sequence of at least one digit.
  ) 


## Render a coursework for each student.
for (student in studentlist) {
  rmarkdown::render("Coursework.Rmd",
                    params = list(student_number = student),
                  output_file = paste0("M00", student, " - Coursework",".pdf"),
				  output_dir = "output"
                  )
}
